View Issue Details

IDProjectCategoryView StatusLast Update
0002193CaseTalk ModelerValidationpublic2021-02-26 16:05
ReporterBCP Software Assigned ToBCP Software  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Target Version9.8.0Fixed in Version9.8.0 
Summary0002193: Report OTFT's from an unused namespace
DescriptionIf expressions from another namespace are merged into a model, but are not used by any other expression, it could be it is redundant. Especially the Object Type Expressions which are not used in any substitution.
TagsNo tags attached.
CaseTalk Editionunknown

Relationships

has duplicate 0002881 closedBCP Software Unused OTE should not trigger for external namespaces 

Activities

BCP Software

BCP Software

2019-08-05 15:36

administrator   ~0001505

The rule "All object type expressions must be used" is now also showing the variation "All external object type expressions must be used".

Issue History

Date Modified Username Field Change
2019-07-02 16:34 BCP Software New Issue
2019-07-02 16:34 BCP Software Status new => assigned
2019-07-02 16:34 BCP Software Assigned To => BCP Software
2019-07-29 08:55 BCP Software Target Version Future => 9.8.0
2019-08-05 15:36 BCP Software Status assigned => resolved
2019-08-05 15:36 BCP Software Resolution open => fixed
2019-08-05 15:36 BCP Software Fixed in Version => 9.8.0
2019-08-05 15:36 BCP Software Note Added: 0001505
2020-04-19 09:26 BCP Software Category Model Validation => Validation
2021-02-26 16:05 BCP Software Relationship added has duplicate 0002881